### Method

# Fwupd Remote get_id

since: 0.9.3

#### Declaration [src]

    const gchar*
    fwupd_remote_get_id (
      FwupdRemote* self
    )

#### Description [src]

Gets the remote ID, e.g. `lvfs-testing`.

Available since: 0.9.3

Gets property | `Fwupd.Remote:id`

#### Return value

Type: `const gchar*`

A string, or `NULL` if unset.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.